SHUTDOWN(8)

NAME
shutdown - close down the system at a given time

SYNOPSIS
/usr/etc/shutdown [ -fhknr ] time [ warning-message ... ]

DESCRIPTION

shutdown provides an automated procedure to notify users when the system is to be shut down. time specifies when shutdown will bring the system down; it may be the word now (indicating an immediate shutdown), or it may specify a future time in one of two formats: +number and hour:min. The first form brings the system down in number minutes, and the second brings the system down at the time of day indicated in 24-hour notation.

At intervals that get closer as the apocalypse approaches, warning messages are displayed at terminals of all logged-in users, and of users who have remote mounts on that machine. Five minutes before shutdown, or immediately if shutdown is in less than 5 minutes, logins are disabled by creating /etc/nologin and writing a message there. If this file exists when a user attempts to log in, login(1) prints its contents and exits. The file is removed just before shutdown exits.

At shutdown time a message is written to the system log daemon, syslogd(8), containing the time of shutdown, the instigator of the shutdown, and the reason. Then a terminate signal is sent to init, which brings the system down to single-user mode.

The time of the shutdown and the warning message are placed in /etc/nologin, which should be used to inform the users as to when the system will be back up, and why it is going down (or anything else).

OPTIONS

As an alternative to the above procedure, these options can be specified:

-f  Shut the system down in the manner of fasthalt (see fastboot(8)), so that when the system is rebooted, the file systems are not checked.

-h  Execute halt(8).

-k  Simulate shutdown of the system. Do not actually shut down the system.

-n  Prevent the normal sync(2) before stopping.

-r  Execute reboot(8).

FILES
/etc/nologin
    tells login not to let anyone log in
/etc/xtab
    list of remote hosts that have mounted this host

SEE ALSO
login(1), sync(2), fastboot(8), halt(8), reboot(8), syslogd(8)

BUGS

Only allows you to bring the system down between “now” and 23:59 if you use the absolute time for shutdown.